package cz.moneta.test.regression.internal.fortelight;

import cz.moneta.test.dsl.Harness;
import cz.moneta.test.harness.annotations.Environment;
import cz.moneta.test.harness.annotations.TestCase;
import cz.moneta.test.harness.annotations.TestScenario;
import org.junit.jupiter.api.Disabled;

@Disabled("Padá na 401")
@TestScenario(name = "Open user's attendance timesheet in Forge")
public class OpenAttendanceTest {

    @TestCase(name = "Open user's attendance timesheet", environments = {Environment.TST1, Environment.DEV})
    public void openAttendanceTimesheet(Harness harness) {
        harness.withForteLight()
                .openForteLightHomePage()
                .clickMyProfile()
                .clickAttendanceIcon()
                .checkPageTitle("Výkaz docházky za období");
    }
}
